clc
clear all
close all
%%
% Fyi=1-[1/2 1/10 1/50 1/100]
% 
% V=[30 35 40 42]
Fyi=1-[1/2 1/10 1/50 1/100 1/500]

V=[29.95 34.80 38.57 40.05 43.29]

figure
plot(V,-log(-log(Fyi)),'o')

v=linspace(0,100,1000);
% a=0.3507;
% b=10.11/0.3507;
a=1/2.2850;
b=29.4125;

[fy Fy]=Gumbel(v,a,b);

figure
plot(v,fy)

figure
plot(v,Fy)
hold on
plot(V,Fyi,'o')

figure
plot(-log(-log(Fy)),v)
%%
Nsim=10000000;
[S]=MC_Gumbel(a,b,Nsim);
save('S.mat','S')
Nbin=min([length(S)/10 1000]);
xout=linspace(min(min(S)),max(max(S)),Nbin);
f=hist(S,xout);
prob=f/length(S)/(xout(2)-xout(1));
plot(xout,prob)

max(S)
figure
hist(S, ceil(sqrt(Nsim)))