function [Vred AD]=ImportAD()
%% Load data
Data_H=load('HDerivatives.txt');
Data_P_A=load('P_A_Derivatives.txt');
SelectedPoints_H=[1:20 22];
SelectedPoints_P_A=[1:20 22];
%% Evaluation of P1 and P4
Vred(1,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,3)';
Vred(4,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,3)';
AD(1,:)=Data_P_A(SelectedPoints_P_A,11)';
AD(4,:)=Data_P_A(SelectedPoints_P_A,14)';

%% Evaluation of P2 and P3
Vred(2,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,4)';
Vred(3,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,4)';
AD(2,:)=Data_P_A(SelectedPoints_P_A,12)';
AD(3,:)=Data_P_A(SelectedPoints_P_A,13)';
%% Evaluation of P5 and P6
Vred(5,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,2)';
Vred(6,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,2)';
AD(5,:)=Data_P_A(SelectedPoints_P_A,15)';
AD(6,:)=Data_P_A(SelectedPoints_P_A,16)';
%% Evaluation of H1 and H4
Vred(7,:)=1/2/pi*Data_H(SelectedPoints_H,2)';
Vred(10,:)=1/2/pi*Data_H(SelectedPoints_H,2)';
AD(7,:)=Data_H(SelectedPoints_H,8)';
AD(10,:)=Data_H(SelectedPoints_H,11)';
%% Evaluation of H2 and H3
Vred(8,:)=1/2/pi*Data_H(SelectedPoints_H,4)';
Vred(9,:)=1/2/pi*Data_H(SelectedPoints_H,4)';
AD(8,:)=Data_H(SelectedPoints_H,9)';
AD(9,:)=Data_H(SelectedPoints_H,10)';


%% Evaluation of H5 and H6
Vred(11,:)=1/2/pi*Data_H(SelectedPoints_H,3)';
Vred(12,:)=1/2/pi*Data_H(SelectedPoints_H,3)';
AD(11,:)=Data_H(SelectedPoints_H,12)';
AD(12,:)=Data_H(SelectedPoints_H,13)';

%% Evaluation of A1 and A4

Vred(13,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,2)';
Vred(16,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,2)';
AD(13,:)=Data_P_A(SelectedPoints_P_A,5)';
AD(16,:)=Data_P_A(SelectedPoints_P_A,8)';

%% Evaluation of A2 and A3
Vred(14,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,4)';
Vred(15,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,4)';
AD(14,:)=Data_P_A(SelectedPoints_P_A,6)';
AD(15,:)=Data_P_A(SelectedPoints_P_A,7)';

%% Evaluation of A5 and A6
Vred(17,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,3)';
Vred(18,:)=1/2/pi*Data_P_A(SelectedPoints_P_A,3)';
AD(17,:)=Data_P_A(SelectedPoints_P_A,9)';
AD(18,:)=Data_P_A(SelectedPoints_P_A,10)';



