clc
clear all
close all
M=100;
adtype=4;
VALG=[4 6 12 15 17];
% inndat=[cd '\Hardangerbrua_brukt_i_artikkel3'];
%% Konstruksjonsegenskaper i stille luft
[omegaomega,phiphi,xred,MM,CC,KK,moderInt,Eigenvectors,Eigenvalues]=Import_Abaqus_v2(M,VALG);
% %Genererer svingeformer ut i fra inndataene%
% [phiphi,xred,moderInt]=form(M,VALG,inndat);
% %Beregner modale masser
% [MM]=modalemasser(phiphi,M,VALG,inndat);
% %konstruksjonens egenfrekvenser og demping V=0
% [omegaomega,zetazeta]=svingdemp(VALG,inndat);
% MM=diag(MM);KK=omegaomega.^2*MM;CC=2.*zetazeta.*MM.*omegaomega;
omegaomega=diag(omegaomega);
ro=1.25;
B=18.3;
Nsim=50;
% load Statestikk_ad.mat
% SimulatedRandomVariables=mvnrnd(Middelverdi,Covariance,Nsim);

% load Statestikk.mat
% SimulatedRandomVariables=mvnrnd(Middelverdi,Covariance,Nsim);
% 
% save('rand.mat','SimulatedRandomVariables')

%%
beta=[];
load Stat.mat

BETA=mvnrnd(beta,0*vars,Nsim)';

%% Eigenvalue solution
maxfit=200;         %Max number of frequency iterations
maxV=300;           % Max velocity
V=40;               %Starting mean wind velocity
dV=10; 
maxVit=1000;        %Max number of velocity iterations

% Mean wind velocity increment
spar=zeros(Nsim,1);
sparomega=spar;
tic
% Ncpus=1;
% if ne(matlabpool('size'),0)
%     matlabpool('close');
% end
% if ne(Ncpus,1)
%     matlabpool('open', Ncpus)
% end
% parfor nn=1:Nsim    
for nn=1:Nsim 
    %A=SimulatedRandomVariables(nn,:)';
    if round(nn/1000)==round(nn)/1000
        disp(['Simulation Number ' num2str(nn)])
    end
    A=BETA(:,nn);
    [Vvec,imS,reS,VCR,OmegaCR]=aerostab(@aerodynamicderivatives,MM,CC,KK,omegaomega,...
    moderInt,ro,B,maxfit,maxVit,maxV,V,dV,A);
    spar(nn,1)=VCR;
    sparomega(nn,1)=OmegaCR;
    figure(nn)
    subplot(2,1,1)
    hold all
    plot(Vvec,imS')
    ylim([0 3])
    subplot(2,1,2)
    hold all
    plot(Vvec,reS')
    ylim([-0.5 0])
    drawnow
end
% matlabpool close
toc
VCR
OmegaCR
% SPAR=spar;
% SPAROMEGA=(sparomega);
% Nfeil=Nsim-length(SPAR);
% figure
% hist(SPAR,500)
% figure
% normplot(SPAR)
% figure
% hist(SPAROMEGA,ceil(sqrt(Nsim)))
% figure
% normplot(SPAROMEGA)

% save(['SimulationResults_' num2str(Nsim) '.mat'], 'SPAR','SPAROMEGA','BETA','Nsim','omegaomega','phiphi','xred','MM','CC','KK','moderInt','Eigenvectors','Eigenvalues','VALG','ro','B')
