function [p_Data1,p_Data2,Res_Data1,Res_Data2]=PlotADPoly2(Vred,Data1,Data2,order1,order2,str1,str2,Res_alt)
% Vred=[0 Vred]
% Data1=[0 Data1]
% Data2=[0 Data2]
weigth=[10 ones(1,length(Vred))];

Vred_c=linspace(0,max(Vred),100);
figure
[tmp_p_Data1]=wpolyfit([0 Vred],[0 Data1],order1,weigth);
p_Data1=zeros(1,5);
for n=1:length(tmp_p_Data1)
    p_Data1(1,6-n)=tmp_p_Data1(1,length(tmp_p_Data1)+1-n);
end
subplot(2,2,1)
plot(Vred,Data1,'o',Vred_c,polyval(p_Data1,Vred_c))
xlabel('Vred')
ylabel(str1)
Res_Data1=Data1-polyval(p_Data1,Vred);
if Res_alt==2; Res_Data1=Res_Data1./Vred; end
limit=1.1*max(abs(Res_Data1));
subplot(2,2,2)
histfit(Res_Data1)
xlim([-limit limit])
subplot(2,2,3)
plot(Vred,Res_Data1,'o',[0 max(Vred_c)],[0 0])
ylim([-limit limit])
xlabel('Vred')
ylabel(['Reusidals ' str1])
if Res_alt==2, str='K\cdot(exp-AD)'; else str='exp-AD'; end
title(str)
subplot(2,2,4)
normplot(Res_Data1)
xlim([-limit limit])
[jb_h, jb_p]=jbtest(Res_Data1);
title(subplot(2,2,1),['p-value= ' num2str(1/100*round(100*jb_p))  '  h(5%)=' num2str(jb_h)])
PrintFigure(15,15,[str1 ' Resalt ' num2str(Res_alt)])


figure
[tmp_p_Data2]=wpolyfit([0 Vred],[0 Data2],order2,weigth);
p_Data2=zeros(1,5);
for n=1:length(tmp_p_Data2)
    p_Data2(1,6-n)=tmp_p_Data2(1,length(tmp_p_Data2)+1-n);
end
subplot(2,2,1)
plot(Vred,Data2,'o',Vred_c,polyval(p_Data2,Vred_c))
xlabel('Vred')
ylabel(str2)
title(['p-value= ' num2str(jb_p)])
Res_Data2=Data2-polyval(p_Data2,Vred);
if Res_alt==2; Res_Data2=Res_Data2./(Vred.^2); end
limit=1.1*max(abs(Res_Data2));
subplot(2,2,2)
histfit(Res_Data2)
xlim([-limit limit])
subplot(2,2,3)
plot(Vred,Res_Data2,'o',[0 max(Vred_c)],[0 0])
ylim([-limit limit])
xlabel('Vred')
ylabel(['Reusidals ' str2])
if Res_alt==2, str='K^2\cdot(exp-AD)'; else str='exp-AD'; end
title(str)
subplot(2,2,4)
normplot(Res_Data2)
xlim([-limit limit])
[jb_h jb_p]=jbtest(Res_Data2);
title(subplot(2,2,1),['p-value= ' num2str(1/100*round(100*jb_p))  '  h(5%)=' num2str(jb_h)])
PrintFigure(15,15,[str2 ' Resalt ' num2str(Res_alt)])



function []=PrintFigure(B,H,str)
printOpt=0;
h = get(gcf,'Children');
test=get(h,'type');
for m=1:size(h,1)
       if strcmp('axes', test(m,1))==1
            set(get(h(m,1),'xlabel'),'fontsize',8)
            set(get(h(m,1),'title'),'fontsize',8)
            set(get(h(m,1),'ylabel'),'fontsize',8)
            set(get(h(m,1),'title'),'fontsize',8)
            set(get(h(m,1),'zlabel'),'fontsize',7)
            set(h(m,1),'Fontsize',7,'Linewidth',0.4)
%           set(get(h(n,1),'children'),'markersize',4)
%           set(get(h(m,1),'children'),'Linewidth',1)
%           set(h(m,1), 'FontName', 'Arial');
%           set(get(h(m,1),'ylabel'),'FontName', 'Arial')
%           set(get(h(m,1),'xlabel'),'FontName', 'Arial')
           set(get(h(m,1),'title'),'FontName', 'Arial')          
       end
end
if printOpt==1
    h=get(gcf);
    set(gcf, 'PaperPositionMode', 'manual');
    set(gcf, 'PaperUnits', 'centimeters');
    set(gcf, 'PaperPosition', [0 0 B H],'PaperSize',[B H]);
    print(gcf,'-dpdf','-r1200', ['Statistical evaluation ' str ])
end