%% Description
%This routine provides the value of the aerodynamic derivatives at the
%reduced velocity in question
% AD=[P1* P2* P3* P4* P5* P6* H1* H2* H3* H4* H5* H6* A1* A2* A3* A4* A5* A6*]^T
% vred=V/(omega*B)
% V is the mean wind velocity in m/s
% omega is the circular frequency of motion 
% B is the width of the girder
function [AD]=aerodynamicderivatives(vred,RAD_innput)
% if vred>5
%     vred=5;
% end
% RAD=zeros(18,1);
% RAD([1 2 5 7 8 11 13 14 17])=RAD_innput([1 2 5 7 8 11 13 14 17])*vred;
% RAD([3 4 6 9 10 12 15 16 18])=RAD_innput([3 4 6 9 10 12 15 16 18])*vred^2;
%RAD=RAD_innput;

% RAD(7,1)=RAD_innput(1,1)*vred;
% RAD(8,1)=RAD_innput(2,1)*vred;
% RAD(9,1)=RAD_innput(3,1)*(vred^2);
% RAD(10,1)=RAD_innput(4,1)*(vred^2);
% 
% RAD(13,1)=RAD_innput(5,1)*vred;
% RAD(14,1)=RAD_innput(6,1)*vred;
% RAD(15,1)=RAD_innput(7,1)*(vred^2);
% RAD(16,1)=RAD_innput(8,1)*(vred^2);

% load AE.mat;
% AD=AE(:,1)*vred^4+AE(:,2)*vred^3+AE(:,3)*vred^2+AE(:,4)*vred+AE(:,5)+RAD;
% if vred>4
%     vred=4;
% end
% if vred<1.3
%     vred=1.3;
% end
AD=zeros(18,1);
BETA=RAD_innput;
Br = [BETA(1:size(AD,1))';BETA(size(AD,1)+1:2*size(AD,1))'; BETA(2*size(AD,1)+1:end)'];
AD=([1,vred, vred^2]*Br)';

